<?xml version="1.0" encoding="utf-8"?>
<config>
    <modules>
        <IWD_Opc>
            <version>6.0.8</version>
        </IWD_Opc>
    </modules>
    <admin>
        <routers>
            <adminhtml>
                <args>
                    <modules>
                        <iwd_opc after="Mage_Adminhtml">IWD_Opc_Adminhtml</iwd_opc>
                    </modules>
                </args>
            </adminhtml>
        </routers>
    </admin>
    <adminhtml>
        <events>
            <!--<controller_action_predispatch>
                <observers>
                    <iwd_opc_check_iwd_all>
                        <type>singleton</type>
                        <class>iwd_opc/observer</class>
                        <method>checkRequiredModules</method>
                    </iwd_opc_check_iwd_all>
                </observers>
            </controller_action_predispatch>-->
        </events>
        <layout>
            <updates>
                <iwd_opc>
                    <file>iwd_opc.xml</file>
                </iwd_opc>
            </updates>
        </layout>
    </adminhtml>
    <frontend>
        <routers>
            <iwd_opc>
                <use>standard</use>
                <args>
                    <module>IWD_Opc</module>
                    <frontName>onepage</frontName>
                </args>
            </iwd_opc>
            <checkout>
                <args>
                    <modules>
                        <iwd_opc before="Mage_Checkout_OnepageController">IWD_Opc_Checkout</iwd_opc>
                    </modules>
                </args>
            </checkout>
        </routers>
        <layout>
            <updates>
                <iwd_opc>
                    <file>iwd_opc.xml</file>
                </iwd_opc>
            </updates>
        </layout>
        <events>
            <controller_action_postdispatch_iwd_opc_json_saveOrder>
                <observers>
                    <hss_save_order_onepage>
                        <class>iwd_opc/paypal_observer</class>
                        <method>setResponseAfterSaveOrder</method>
                    </hss_save_order_onepage>
                </observers>
            </controller_action_postdispatch_iwd_opc_json_saveOrder>
            <iwd_opc_save_gift_message>
                <observers>
                    <giftmessage>
                        <type>model</type>
                        <class>giftmessage/observer</class>
                        <method>checkoutEventCreateGiftMessage</method>
                    </giftmessage>
                </observers>
            </iwd_opc_save_gift_message>
            <sales_order_place_after>
                <observers>
                    <save_newsletter_after_place_order>
                        <class>iwd_opc/observer</class>
                        <method>saveNewsletter</method>
                    </save_newsletter_after_place_order>
                    <save_comment_after_place_order>
                        <class>iwd_opc/observer</class>
                        <method>saveComment</method>
                    </save_comment_after_place_order>
                    <clear_session_data_after_place_order>
                        <class>iwd_opc/observer</class>
                        <method>clearSession</method>
                    </clear_session_data_after_place_order>
                </observers>
            </sales_order_place_after>
        </events>
        <translate>
            <modules>
                <iwd_opc>
                    <files>
                        <default>IWD_Opc.csv</default>
                    </files>
                </iwd_opc>
            </modules>
        </translate>
    </frontend>
    <global>
        <models>
            <iwd_opc>
                <class>IWD_Opc_Model</class>
                <resourceModel>iwd_opc_resource</resourceModel>
            </iwd_opc>
            <iwd_opc_resource>
                <class>IWD_Opc_Model_Resource</class>
            </iwd_opc_resource>
        </models>
        <resources>
            <iwd_opc_write>
                <connection>
                    <use>core_write</use>
                </connection>
            </iwd_opc_write>
            <iwd_opc_read>
                <connection>
                    <use>core_read</use>
                </connection>
            </iwd_opc_read>
        </resources>
        <helpers>
            <iwd_opc>
                <class>IWD_Opc_Helper</class>
            </iwd_opc>
            <checkout>
                <rewrite>
                    <url>IWD_Opc_Helper_CheckoutUrl</url>
                </rewrite>
            </checkout>
        </helpers>
        <blocks>
            <iwd_opc>
                <class>IWD_Opc_Block</class>
            </iwd_opc>
            <paypal>
                <rewrite>
                    <standard_form>IWD_Opc_Block_Onepage_Payment_Paypal_Standart_Form</standard_form>
                    <express_form>IWD_Opc_Block_Onepage_Payment_Paypal_Express_Form</express_form>
                    <bml_form>IWD_Opc_Block_Onepage_Payment_Paypal_Bml_Form</bml_form>
                    <iframe>IWD_Opc_Block_Onepage_Payment_Paypal_Iframe</iframe>
                </rewrite>
            </paypal>
            <paypaluk>
                <rewrite>
                    <express_form>IWD_Opc_Block_Onepage_Payment_Paypaluk_Express_Form</express_form>
                    <bml_form>IWD_Opc_Block_Onepage_Payment_Paypaluk_Bml_Form</bml_form>
                </rewrite>
            </paypaluk>
            <paygate>
                <rewrite>
                    <authorizenet_form_cc>IWD_Opc_Block_Onepage_Payment_Paygate_Authorizenet_Form_Cc</authorizenet_form_cc>
                    <authorizenet_info_cc>IWD_Opc_Block_Onepage_Payment_Paygate_Authorizenet_Info_Cc</authorizenet_info_cc>
                </rewrite>
            </paygate>
            <directpost>
                <rewrite>
                    <iframe>IWD_Opc_Block_Onepage_Payment_Authorizenet_Directpost_Iframe</iframe>
                </rewrite>
            </directpost>
            <checkout>
                <rewrite>
                    <cart_item_renderer>IWD_Opc_Block_Cart_Item_Renderer</cart_item_renderer>
                    <cart_item_renderer_configurable>IWD_Opc_Block_Cart_Item_Renderer_Configurable</cart_item_renderer_configurable>
                    <cart_item_renderer_grouped>IWD_Opc_Block_Cart_Item_Renderer_Grouped</cart_item_renderer_grouped>
                </rewrite>
            </checkout>
            <gene_braintree>
                <rewrite>
                    <paypal_saved>IWD_Opc_Block_Onepage_Payment_GeneBraintree_Paypal_Saved</paypal_saved>
                    <creditcard_saved>IWD_Opc_Block_Onepage_Payment_GeneBraintree_Creditcard_Saved</creditcard_saved>
                </rewrite>
            </gene_braintree>
            <centinel>
                <rewrite>
                    <logo>IWD_Opc_Block_Onepage_Payment_Centinel_Logo</logo>
                </rewrite>
            </centinel>
        </blocks>
        <sales>
            <totals>
                <tax_subtotal>
                    <class>tax/sales_total_quote_subtotal</class>
                    <after>freeshipping</after>
                    <before>tax,discount</before>
                </tax_subtotal>
                <tax_shipping>
                    <class>tax/sales_total_quote_shipping</class>
                    <after>shipping,tax_subtotal</after>
                    <before>tax,discount</before>
                </tax_shipping>
                <tax>
                    <class>tax/sales_total_quote_tax</class>
                    <after>subtotal,shipping</after>
                    <before>grand_total</before>
                    <renderer>tax/checkout_tax</renderer>
                    <admin_renderer>adminhtml/sales_order_create_totals_tax</admin_renderer>
                </tax>
                <subtotal>
                    <renderer>tax/checkout_subtotal</renderer>
                    <admin_renderer>adminhtml/sales_order_create_totals_subtotal</admin_renderer>
                </subtotal>
                <shipping>
                    <renderer>tax/checkout_shipping</renderer>
                    <admin_renderer>adminhtml/sales_order_create_totals_shipping</admin_renderer>
                </shipping>
                <discount>
                    <renderer>tax/checkout_discount</renderer>
                    <admin_renderer>adminhtml/sales_order_create_totals_discount</admin_renderer>
                </discount>
                <grand_total>
                    <renderer>tax/checkout_grandtotal</renderer>
                    <admin_renderer>adminhtml/sales_order_create_totals_grandtotal</admin_renderer>
                </grand_total>
            </totals>
        </sales>
    </global>
    <default>
        <iwd_opc>
            <general>
                <enable>0</enable>
            </general>
            <default>
                <title>Checkout</title>
                <subscribe>0</subscribe>
                <subscribe_default>0</subscribe_default>
                <show_shipping>0</show_shipping>
                <show_comment>1</show_comment>
                <show_discount>1</show_discount>
                <show_gift_message>1</show_gift_message>
                <show_login_button>1</show_login_button>
                <payment_title_type>logo</payment_title_type>
            </default>
        </iwd_opc>
    </default>
</config>
